Page MenuHomePhabricator

Add support for SBProcess::PutSTDIN to remote processes
ClosedPublic

Authored by vharron on Feb 5 2015, 4:05 PM.

Details

Reviewers
vharron
clayborg
Summary

Processes running on a remote target can already send $O messages
to send stdout but there is no way to send stdin to a remote
inferior.

This allows processes using the API to pump stdin into a remote
inferior process.

It fixes a hang in TestProcessIO.py

Diff Detail

Event Timeline

vharron updated this revision to Diff 19443.Feb 5 2015, 4:05 PM
vharron retitled this revision from to Add support for SBProcess::PutSTDIN to remote processes.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added a reviewer: clayborg.
vharron added a subscriber: Unknown Object (MLST).

No affect on OSX tests

It fixes a hang in TestProcessIO.py

When running against a remote target

clayborg edited edge metadata.Feb 6 2015, 9:35 AM

Looks good.

vharron accepted this revision.Mar 1 2015, 12:37 AM
vharron added a reviewer: vharron.
This revision is now accepted and ready to land.Mar 1 2015, 12:37 AM
vharron closed this revision.Mar 1 2015, 12:39 AM

Committed: r228419